/*
	origami-constants
	<c> Risto Holopainen 2021

	edit these for variation
	No idea what are useful, interesting, or safe ranges of the parameters.

	 This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
*/

namespace origamix
{

const double length_of_composition = 180.0;			// seconds
const unsigned int all_those_iterations = 2500;		// relates to density of notes

const double alpha = 1.5;
const double beta = 4.0;
const double gymel = 0.125;
const double contract = 0.1;
const double qoph = 3.2;
const double mumu = 2.4;

/*
	used by map() :
	s1 = sin(M_PI*s) + alpha*a - 1.0/(1 - 1/sqf + beta*cc);
	a1 = exp(-d) + gymel*a;
	d1 = contract*d + qoph*(s*s + a*a) + mumu / sqf;
*/
} // end namespace

