/*
	delay_t
	<c> Risto Holopainen 2021
		
	generic template delay

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
*/

#ifndef DELAY_H
#define DELAY_H


template <class T> 
class delay
{
	public:
		delay(unsigned int L, const T &initval);
		~delay();
		T z(T x);
	
	private:
		T *buf;
		int n;
		int N;
};

template <class T>
delay<T>::delay(unsigned int sz, const T &init)
{
	N = sz;
	n = 0;
	buf = new T[N];
	for(int i=0; i<N; buf[i++] = init);
}

template <class T>
delay<T>::~delay()
{
	buf = 0;
	delete buf;
}


template <class T>
T delay<T>::z(T x)
{
	buf[n] = x;
	if(++n >= N)
		n = 0;
	
	return buf[n];
}



#endif

